comedi_set_gate_source
Prev | 5.4.6. Extensions | Next

## Name

comedi_set_gate_source — select gate source for a subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_set_gate_source(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int gate_index,
| unsigned int gate_source`)`;

## Status

alpha

## Description

This function selects a gate source for a subdevice. The `gate_index` parameter selects which gate is being configured, should the subdevice have multiple gates. It takes a value from 0 to N-1 for a subdevice with N different gates. The `gate_source` parameter selects which signal you wish to use as the gate, and is also driver-dependent. If the subdevice does not support configuring its gates on a per-channel basis, then the `channel` parameter will be ignored.

You may query the gate source with the `comedi_get_gate_source` function. This function is only useable on subdevices that provide support for the `INSN_CONFIG_SET_GATE_SRC` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_set_filter | Home | comedi_set_other_source